﻿@model IEnumerable<MIMS.Portal.ViewModels.UserViewModel>

@using MIMS.Portal.Core.Domains;
@using Microsoft.AspNetCore.Http;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "کاربران";
}


<div class="card">
    <div class="card-header">
        <h4>
            فهرست
        </h4>
    </div>
    <div class="card-body">
        <div class="card-block">
            <div class="table-responsive">
                <table class="table table-hover header-border text-nowrap">
                    <thead class="thead-inverse">
                        <tr>
                            <th>@Html.DisplayNameFor(model => model.UserName)</th>
                            <th>@Html.DisplayNameFor(model => model.UserType)</th>
                            <th>@Html.DisplayNameFor(model => model.FullName)</th>
                            @*<th>@Html.DisplayNameFor(model => model.Gender)</th>*@
                            <th>@Html.DisplayNameFor(model => model.NationalCode)</th>
                            <th>@Html.DisplayNameFor(model => model.BirthDate)</th>
                            <th>@Html.DisplayNameFor(model => model.Email)</th>
                            <th>@Html.DisplayNameFor(model => model.Mobile)</th>
                            <th>@Html.DisplayNameFor(model => model.Phone)</th>
                            <th>@Html.DisplayNameFor(model => model.PostalCode)</th>
                            <th>@Html.DisplayNameFor(model => model.Address)</th>
                            <th>@Html.DisplayNameFor(model => model.SubmitDate)</th>
                            <th class="no-sort"><em class="fa fa-cog"></em></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model)
                        {
                            <tr>
                                <td>@item.UserName</td>
                                <td>@Html.DisplayFor(modelItem => item.UserType)</td>
                                <td>@item.FullName</td>
                                @*<td>@Html.DisplayFor(modelItem => item.Gender)</td>*@
                                <td>@item.NationalCode</td>
                                <td>@item.BirthDate</td>
                                <td>@item.Email</td>
                                <td>@item.Mobile</td>
                                <td>@item.Phone</td>
                                <td>@item.PostalCode</td>
                                <td>@item.Address</td>
                                <td>@item.SubmitDate.ToPeString()</td>
                                <td align="center">
                                    <a asp-action="Details" asp-controller="Users" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                                    <a asp-action="Edit" asp-controller="Users" asp-route-id="@item.Id" class="btn btn-info fa fa-fw fa-edit" data-toggle="tooltip" title="ویرایش"></a>
                                    <a asp-action="Delete" asp-controller="Users" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                                    <a asp-action="Index" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-outline-info fa fa-fw fa-group" data-toggle="tooltip" title="زیرمجموعه"></a>
                                    @*<a class="btn btn-default" href="/message/Index?id=@item.Id"><em class="fa fa-paper-plane"></em></a>*@
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>

        </div>
    </div>
    <div class="card-footer">
        <small>
            آخرین بروز رسانی لحظاتی پیش
        </small>
    </div>
</div>



@section Scripts{
}